VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Namespace::Info Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Namespace::Info:

## Avaliable Methods
public method | get_description ()
public method | get_identity ()
public method | set_description ()
public method | set_children ()
public method | get_children ()
public method | new ()
public method | set_identity ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Namespace::Info` class contains information about a namespace. It includes the identity of the namespace, a description, information children namespaces.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::get_children | ( |  | ) |

Gets the value of 'children' property.

Return values

  children | - The current value of the field. The children of this namespace in the tree of CLI namespaces. List#

Code:
click to view
# Number of lines of code in get_children: 4
sub get_children {
my ($self, %args) = @_;
return $self->{'children'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The text description displayed to the user in help output. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::get_identity | ( |  | ) |

Gets the value of 'identity' property.

Return values

  identity | - The current value of the field. Basic namespace identity. Identity#

Code:
click to view
# Number of lines of code in get_identity: 4
sub get_identity {
my ($self, %args) = @_;
return $self->{'identity'};
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Namespace::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{identity} = $args{'identity'};
$self->{description} = $args{'description'};
$self->{children} = $args{'children'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Namespace::Info');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.cli.namespace.info');
$self->set_binding_field('key' => 'identity', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Namespace::Identity'));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'children', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Cli', 'type_name' => 'Namespace::Identity')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::set_children | ( |  | ) |

Sets the given value for 'children' property.

Parameters

  children | - New value for the field. The children of this namespace in the tree of CLI namespaces.

Code:
click to view
# Number of lines of code in set_children: 5
sub set_children {
my ($self, %args) = @_;
$self->{'children'} = $args{'children'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The text description displayed to the user in help output.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vapi::Metadata::Cli::Namespace::Info::set_identity | ( |  | ) |

Sets the given value for 'identity' property.

Parameters

  identity | - New value for the field. Basic namespace identity.

Code:
click to view
# Number of lines of code in set_identity: 5
sub set_identity {
my ($self, %args) = @_;
$self->{'identity'} = $args{'identity'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Namespace.pm